Bug 1627432 - python-inotify_simple: Remove packages from Fedora 30+: python2-inotify_simple
Summary: python-inotify_simple: Remove packages from Fedora 30+: python2-inotify_simple
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-inotify_simple
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-10 15:38 UTC by Miro Hrončok
Modified: 2018-09-12 12:20 UTC (History)
7 users (show)

Fixed In Version: python-inotify_simple-1.1.8-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 12:20:48 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-10 15:38:05 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-inotify_simple were marked for removal:

 * python2-inotify_simple

According to our query, those packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Pavel Raiskup 2018-09-11 09:00:57 UTC
(In reply to Miro Hrončok from comment #0)
> According to our query, those packages only provide a Python 2 importable
> module.

I don't know what do you mean by "importable" module.  It's ported for
both python2 and python3 (and it should work just fine).

> Please remove them from your package.

Maintenance of that subpackage costs me nothing, and I basically dislike
the forced Python 2 removal (if I don't mind maintaining that).

> As said in the change document, if there is no objection in a week, we will
> remove the package(s) as soon as we get to it.

Feel free to drop that.  It should be one-liner (%bcond change).

Per [0] document:
> so far no one else has stepped up to maintain Python 2

Once/if anyone commits himself to maintain compat Python 2, I'll
re-enable.

> [0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 2 Miro Hrončok 2018-09-11 09:19:23 UTC
By importable module I mean the package provides only a Python library.

Do you want a if Fedora >= 30 in there or not?

Comment 3 Pavel Raiskup 2018-09-11 11:47:06 UTC
I don't mind, it's your decision what happens with Fedora then.  But please
keep the spec file buildable on epel7.

Comment 4 Pavel Raiskup 2018-09-11 11:48:30 UTC
Sorry, I've read 'unportable' instead of importable.


Note You need to log in before you can comment on or make changes to this bug.